<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>TransportAttendanceBC</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content fullscreen>
  <form #TBCForm="ngForm">
    <ion-list>
      <ion-item>
        <ion-button expand="full" (click)="ScanBar()">Scan Student ID Card</ion-button>

      </ion-item>

      <ion-item>
        <ion-card>
          <ion-card-header>
            Scanned Students
          </ion-card-header>
          <ion-card-content>
            <ng-container *ngIf="scannedStudentList.Id.length !== 0">
              <ion-item *ngFor="let item of scannedStudentList.Name; let i = index">
                {{ item }}
                <ion-button (click)="deleteRow(i)" slot="end">Delete</ion-button>
              </ion-item>
            </ng-container>
            <ng-container *ngIf="scannedStudentList.Id.length === 0" style="display: block; width: 100%;">
              Please press the "Scan Student ID Card" button <br> to scan a student ID card.
            </ng-container>
          </ion-card-content>
        </ion-card>
      </ion-item>

      <ion-item>
        <ion-segment [(ngModel)]="Position" name="Position">
          <ion-segment-button value="School">
            School
          </ion-segment-button>
          <ion-segment-button value="Home">
            Home
          </ion-segment-button>
        </ion-segment>
      </ion-item>

      <ion-list radio-group [(ngModel)]="Pick" name="pick">
        <ion-item>
          <ion-label>Check-In</ion-label>
          <ion-radio slot="start" value="true"></ion-radio>
        </ion-item>
        <ion-item>
          <ion-label>Check-Out</ion-label>
          <ion-radio slot="start" value="false"></ion-radio>
        </ion-item>
      </ion-list>

      <ion-item>
        <ion-button
          expand="full"
          (click)="submitStudTransportAttendance()"
          [disabled]="!TBCForm.form.valid || scannedStudentList.Id.length === 0"
        >
          Save Student Attendance
        </ion-button>
      </ion-item>
    </ion-list>
  </form>
</ion-content>

